## ----loadlib, echo=FALSE, results = "hide"------------------------------------
library(ppiData)
library(ppiStats)
library(org.Sc.sgd.db)

## ----collectData--------------------------------------------------------------

dataList <- collectIntactPPIData(c("EBI-531419", "EBI-698096","EBI-762635"))
names(dataList)
dataList[["shortLabel"]]

##NB - intactPPIData = collectIntactPPIData() using the default parameters


## ----exBaitsSys---------------------------------------------------------------
dataList[["baitsSystematic"]][1:5]

## ----indexSet-----------------------------------------------------------------
dataList[["indexSetAll"]][1]

## ----createBPList-------------------------------------------------------------

bpList <- createBPList(dataList[["indexSetAll"]], dataList[["baitsSystematic"]],
                        dataList[["preysSystematic"]])
names(bpList)
bpList[1]

## NB: y2h = createBPList(intactPPIData[["indexSetAll"]], intactPPIData[["baitsSystematic"]], intactPPIData[["preysSystematic"]])

## NB: y2hSysGW = Fixme

## ----createMats---------------------------------------------------------------
bpMats <- lapply(bpList, function(x){
        bpMatrix(x, symMat = FALSE, homodimer = FALSE, baitAsPrey = FALSE,
            unWeighted = TRUE, onlyRecip = FALSE, baitsOnly = FALSE)})

bpMats[1]

## -----------------------------------------------------------------------------
bpMats1 <- lapply(bpList, function(x){
        bpMatrix(x, symMat = TRUE, homodimer = FALSE, baitAsPrey = FALSE,
            unWeighted = TRUE, onlyRecip = FALSE, baitsOnly = FALSE)})
bpMats1[1]

bpGraphs <- lapply(bpMats1, function(x){genBPGraph(x, directed=TRUE, bp=FALSE)})
bpGraphs[1]

##NB: Each graph data file is generated similarly using the same function
##as above. To see how we generated each of the graph objects, look
##in inst/Script/genGraphs.R directory at the script used to generate the
##graphNELs

